from django.utils.translation import ugettext as _
from django.core.urlresolvers import reverse
from admin_tools.menu import items, Menu
from jumbo.conf.admin_menu import GenericMenuItem
from jumbo.middleware.thread_local import get_current_user

def add_extended_menuitems(children, current_app):
    gm = GenericMenuItem(current_app, [])

    all_fax=items.MenuItem(
                title=_('View all'),
                children=[],
                url = reverse('admin:fax_fax_changelist')
            )
    gm.add_father(all_fax)

    send_fax=items.MenuItem(
                title=_('Send new'),
                children=[],
                url = reverse('admin:fax_fax_add')
            )
    gm.add_father(send_fax)

    received_fax=items.MenuItem(
                title=_('Received'),
                children=[],
                url = '%s?status=2' % reverse('admin:fax_fax_changelist')
            )
    gm.add_father(received_fax)

    sent_fax=items.MenuItem(
                title=_('Sent'),
                children=[],
                url = '%s?status=4' % reverse('admin:fax_fax_changelist')
            )
    gm.add_father(sent_fax)

    queued_fax=items.MenuItem(
                title=_('Queued'),
                children=[],
                url = '%s?status=3' % reverse('admin:fax_fax_changelist')
            )
    gm.add_father(queued_fax)

    error_fax=items.MenuItem(
                title=_('Wrong'),
                children=[],
                url = '%s?status=5' % reverse('admin:fax_fax_changelist')
            )
    gm.add_father(error_fax)

    fax_to_send=items.MenuItem(
                title=_('To send'),
                children=[],
                url = '%s?status=8' % reverse('admin:fax_fax_changelist')
            )
    gm.add_father(fax_to_send)


    menu = gm.get_menu()
    [ children.append(fax_menu) for fax_menu in menu ]