# -*- coding: utf-8 -*-

from south.db import db
from django.db import models
from fax.models import *
from jumbo.db import HackForeignKey
from jumbo.db.models import StatusField, HTMLField

class Migration:
    
    def forwards(self, orm):
        
        # Adding model 'Fax'
        db.create_table('fax_fax', (
            ('id', orm['fax.Fax:id']),
            ('date_create', orm['fax.Fax:date_create']),
            ('date_last_modify', orm['fax.Fax:date_last_modify']),
            ('status', orm['fax.Fax:status']),
            ('job', orm['fax.Fax:job']),
            ('keywords', orm['fax.Fax:keywords']),
            ('pages', orm['fax.Fax:pages']),
            ('date_required', orm['fax.Fax:date_required']),
            ('date_sent', orm['fax.Fax:date_sent']),
            ('submitter', orm['fax.Fax:submitter']),
            ('notify_group', orm['fax.Fax:notify_group']),
            ('recipient', orm['fax.Fax:recipient']),
            ('recipient_number', orm['fax.Fax:recipient_number']),
            ('sender', orm['fax.Fax:sender']),
            ('sender_number', orm['fax.Fax:sender_number']),
            ('duration', orm['fax.Fax:duration']),
            ('device', orm['fax.Fax:device']),
            ('file', orm['fax.Fax:file']),
            ('error', orm['fax.Fax:error']),
            ('subject', orm['fax.Fax:subject']),
            ('cover', orm['fax.Fax:cover']),
            ('read', orm['fax.Fax:read']),
            ('priority', orm['fax.Fax:priority']),
            ('is_public', orm['fax.Fax:is_public']),
        ))
        db.send_create_signal('fax', ['Fax'])
        
        # Adding model 'SendFax'
        db.create_table('fax_sendfax', (
            ('id', orm['fax.SendFax:id']),
            ('date_create', orm['fax.SendFax:date_create']),
            ('date_last_modify', orm['fax.SendFax:date_last_modify']),
            ('date_required', orm['fax.SendFax:date_required']),
            ('submitter', orm['fax.SendFax:submitter']),
            ('status', orm['fax.SendFax:status']),
            ('recipient_numbers', orm['fax.SendFax:recipient_numbers']),
            ('mode', orm['fax.SendFax:mode']),
            ('subject', orm['fax.SendFax:subject']),
            ('keywords', orm['fax.SendFax:keywords']),
            ('forward', orm['fax.SendFax:forward']),
            ('priority', orm['fax.SendFax:priority']),
            ('file', orm['fax.SendFax:file']),
        ))
        db.send_create_signal('fax', ['SendFax'])
        
    
    
    def backwards(self, orm):
        
        # Deleting model 'Fax'
        db.delete_table('fax_fax')
        
        # Deleting model 'SendFax'
        db.delete_table('fax_sendfax')
        
    
    
    models = {
        'auth.group': {
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '80'}),
            'permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Permission']", 'blank': 'True'})
        },
        'auth.permission': {
            'Meta': {'unique_together': "(('content_type', 'codename'),)"},
            'codename': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'content_type': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['contenttypes.ContentType']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '50'})
        },
        'auth.user': {
            'date_joined': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '75', 'blank': 'True'}),
            'first_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'groups': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Group']", 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'is_staff': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'is_superuser': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'last_login': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'last_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'password': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'user_permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Permission']", 'blank': 'True'}),
            'username': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '30'})
        },
        'contenttypes.contenttype': {
            'Meta': {'unique_together': "(('app_label', 'model'),)", 'db_table': "'django_content_type'"},
            'app_label': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'model': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        'fax.fax': {
            'cover': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_required': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_sent': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'device': ('django.db.models.fields.CharField', [], {'max_length': '10', 'null': 'True', 'blank': 'True'}),
            'duration': ('django.db.models.fields.CharField', [], {'max_length': '10', 'null': 'True', 'blank': 'True'}),
            'error': ('django.db.models.fields.CharField', [], {'max_length': '150', 'null': 'True', 'blank': 'True'}),
            'file': ('django.db.models.fields.files.FileField', [], {'max_length': '100', 'null': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_public': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'job': ('django.db.models.fields.CharField', [], {'max_length': '15', 'null': 'True', 'blank': 'True'}),
            'keywords': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'notify_group': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['auth.Group']", 'null': 'True', 'blank': 'True'}),
            'pages': ('django.db.models.fields.PositiveSmallIntegerField', [], {'max_length': '3', 'null': 'True', 'blank': 'True'}),
            'priority': ('django.db.models.fields.PositiveSmallIntegerField', [], {'default': '127', 'null': 'True', 'blank': 'True'}),
            'read': ('django.db.models.fields.IntegerField', [], {'default': '0', 'null': 'True', 'blank': 'True'}),
            'recipient': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'recipient_number': ('django.db.models.fields.CharField', [], {'max_length': '16', 'null': 'True', 'blank': 'True'}),
            'sender': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'sender_number': ('django.db.models.fields.CharField', [], {'max_length': '16', 'null': 'True', 'blank': 'True'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': "'3'", 'max_length': '3'}),
            'subject': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'submitter': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['auth.User']", 'null': 'True', 'blank': 'True'})
        },
        'fax.sendfax': {
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_required': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'file': ('django.db.models.fields.files.FileField', [], {'max_length': '100', 'null': 'True'}),
            'forward': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'keywords': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'mode': ('django.db.models.fields.PositiveSmallIntegerField', [], {}),
            'priority': ('django.db.models.fields.PositiveSmallIntegerField', [], {'default': '127', 'null': 'True', 'blank': 'True'}),
            'recipient_numbers': ('django.db.models.fields.CharField', [], {'max_length': '255', 'null': 'True', 'blank': 'True'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': "'3'", 'max_length': '3'}),
            'subject': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'submitter': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['auth.User']", 'null': 'True', 'blank': 'True'})
        }
    }
    
    complete_apps = ['fax']
