import os
from django.conf import settings

# Stringa aggiunta davanti al soggetto della mail dei fax ricevuti/inviati
SUBJECT_FAX       = getattr(settings, 'SUBJECT_FAX', '')
FROM_FAX          = getattr(settings, 'FROM_FAX', '<fax@example.com>')
ENABLE_COVER      = getattr(settings, 'ENABLE_COVER', False)

#HYLA_MAIL_RECEIPT = getattr(settings, 'HYLA_MAIL_RECEIPT', {})

# La variabile FAX_PATH_DOCUMENTS, rappresenta la directory 'upload_to' usata da django per salvare i file.
# Rappresenta quindi il percorso che verra appeso alla directory DOCUMENT_ROOT
#
FAX_PATH_DOCUMENTS = getattr(settings, 'FAX_PATH_DOCUMENTS', 'fax/')

DEFAULT_PERMS = getattr(settings, 'DEFAULT_PERMS', (
            ("list_all_faxes_from_%s"                 , "Can list all faxes from %s"),
            ("list_all_faxes_not_assigned_from_%s"    , "Can list all faxes not assigned from %s"),
            ("delete_all_fax_from_%s"                 , "Can Delete ALL FAX from %s"),
            ("delete_own_fax_from_%s"                 , "Can Delete OWN FAX from %s"),
            ("delete_owngroup_fax_from_%s"            , "Can Delete OWN GROUP FAX from %s"),
            ("download_report_from_%s"                , "Can view reports from %s"),
            ("download_document_from_%s"              , "Can download document from %s"),
            ("send_fax_from_%s"                       , "Can send faxes from %s"),
))

FAX_LOG_FILENAME = getattr(settings, 'FAX_LOG_FILENAME', "/tmp/jumbo_fax.log")
FAX_VIA_MAIL_TO_ADDRESS = getattr(settings, 'FAX_VIA_MAIL_TO_ADDRESS', "faxdjango")
FAX_VIA_MAIL_DEFAULT_SUBJECT_FAX = getattr(settings, 'FAX_VIA_MAIL_DEFAULT_SUBJECT_FAX', "FAX FROM MAIL")
#FAX_VIA_MAIL_TTY_TO_USE = getattr(settings, 'FAX_VIA_MAIL_TTY_TO_USE', "ttyIAX1")
FAX_VIA_MAIL_NOTIFY_TO_USER = getattr(settings, 'FAX_VIA_MAIL_NOTIFY_TO_USER', True)